# Created by pyp2rpm-3.3.8
%global pypi_name python-ldap
%global srcname ldap
%global commitId b80e8135785ef80a40a52eb61033a54dfd70266e
%global upstream_version python-ldap-3.4.2

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{srcname}
Version:        %(echo %{upstream_version} | %{__sed} -e 's#^python-ldap-##')
Release:        2%{?dist}
Summary:        Python modules for implementing LDAP clients

License:        Python style
URL:            https://github.com/python-ldap/python-ldap
Source0:        python-ldap-b80e8135785ef80a40a52eb61033a54dfd70266e.tar.gz

BuildRequires:  gcc
BuildRequires:  openldap-devel
BuildRequires:  openssl-devel
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Requires:       python%{python3_pkgversion}-pyasn1 >= 0.3.7
Requires:       python%{python3_pkgversion}-pyasn1-modules >= 0.1.5
Requires:       openldap
Obsoletes: python3-pyldap < 3
Provides:  python3-pyldap = %{version}-%{release}
Provides:  python3-pyldap%{?_isa} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{srcname}
%{summary}


%prep
%autosetup -n python-%{srcname}-%{commitId}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%{python3_sitearch}/_ldap.cpython-*.so
%{python3_sitearch}/ldapurl.py
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/ldif.py
%{python3_sitearch}/ldap
%{python3_sitearch}/slapdtest
%{python3_sitearch}/python_ldap-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Dec 16 2022 Dimitri Savineau <dsavinea@redhat.com> - 3.4.2-2
- Rebuid for multiarch

* Wed Aug 24 2022 Odilon Sousa <osousa@redhat.com> - 3.4.2-1
- Initial package.
